<?php if (!defined('BASEPATH')) exit('No direct script access allowed'); 

/**
 * MaxSite CMS Plugin
 * (c) http://max-3000.com/
 *
 * Script
 * (c) http://share24.com
 *
 * Plugin url 
 * http://fil-tec.ru/page/addzakl-share
 */


 
function addzakl_share_autoload($args = array())
{
	if ( is_type('page') )
	{
		$options = mso_get_option('plugin_addzakl_share', 'plugins', array());
	
		if (!isset($options['priory'])) $options['priory'] = 10;
		mso_hook_add('content_end', 'addzakl_share_content_end', $options['priory']);
	    mso_hook_add( 'head', 'addzakl_share_head'); 
	}
}

function addzakl_share_head($arg = array())
{
	if (is_type('page')) 
	{
        $options = mso_get_option('plugin_addzakl_share', 'plugins', array());		
		if (!isset($options['share42'])) $options['share42'] = 1;
		if (!isset($options['yandex'])) $options['yandex'] = 1;
		
		if ($options['share42'])echo mso_load_script(getinfo('plugins_url') . 'addzakl_share/share42.js');
		
		if ($options['yandex'])
		{
			echo mso_load_script('//yastatic.net/es5-shims/0.0.2/es5-shims.min.js');
			echo mso_load_script('//yastatic.net/share2/share.js');
		}	
	}
		
	return $arg;
}


function addzakl_share_uninstall($args = array())
{	
	mso_delete_option('plugin_addzakl_share', 'plugins' ); 
	return $args;
}


function addzakl_share_mso_options() 
{
	mso_admin_plugin_options('plugin_addzakl_share', 'plugins', 
		array(
			'text-do' => array(
							'type' => 'text', 
							'name' => t('Текст перед иконками'), 
							'description' => t('Укажите произвольный текст перед иконками. Можно использовать HTML'), 
							'default' => ''
						),
			'text-posle' => array(
							'type' => 'text', 
							'name' => t('Текст после иконками'), 
							'description' => t('Укажите произвольный текст после иконок'), 
							'default' => ''
						),	
								
			'priory' => array(
							'type' => 'text', 
							'name' => t('Приоритет блока'), 
							'description' => t('Позволяет расположить блок до или после аналогичных. Используйте значения от 1 до 90. Чем больше значение, тем выше блок. По умолчанию значение равно 10.'), 
							'default' => '10'
						),
			'data-services' => array(
							'type' => 'text', 
							'name' => t('Список соцсетей для yandex share'), 
							'description' => t('collections,vkontakte,facebook,odnoklassniki,moimir,twitter,blogger,delicious,digg,reddit,evernote,linkedin,lj,pocket,qzone,renren,sinaWeibo,surfingbird,tencentWeibo,tumblr,viber,whatsapp,skype,telegram'), 
							'default' => 'collections,vkontakte,facebook,odnoklassniki,moimir,twitter,blogger,lj,viber,whatsapp,skype,telegram'
						),	
			'yandex' => array(
							'type' => 'checkbox', 
							'name' => 'Выводить блок share от Yandex?', 
							'description' => '', 
							'default' => '1'
						),
			'share42' => array(
							'type' => 'checkbox', 
							'name' => 'Выводить блок share от Share42?', 
							'description' => '', 
							'default' => '1'
						),
			'data-counter' => array(
							'type' => 'checkbox', 
							'name' => 'Счетчики', 
							'description' => 'Выводить четчики?', 
							'default' => '1'
						),
			'data-image' => array(
							'type' => 'checkbox', 
							'name' => 'Изображение записи.', 
							'description' => 'Заносить в тег data-image изображение записи?', 
							'default' => '1'
						)
						
			),
		t('Addzakl-Share'), 
		t('Укажите необходимые опции.')   
	);
}


function addzakl_share_content_end($args = array())
{
	global $page;
	$options = mso_get_option('plugin_addzakl_share', 'plugins', array());
	
	$def_options = array(
		'text-do' => '', 
		'text-posle' => '',
		'share42' => 1,		
		'yandex' => 1,
		'data-counter' => 1,
		'data-image' => 1,		
		'data-services' => 'collections,vkontakte,facebook,odnoklassniki,moimir,twitter,blogger,lj,viber,whatsapp,skype,telegram'		
	);
   
    $options = array_merge($def_options, $options);
	
	
	if ($options['data-image'] and isset($page['page_meta']['image_for_page'][0]) )
		$img = ' data-image="' . getinfo('site_url') . $page['page_meta']['image_for_page'][0] . '"'; 
    else $img = '';
	
	echo $options['text-do'];
	
	if ($options['share42'])
	{
		echo '<div class="share42init"'  . $img . '></div>';
	}	
	
	if ($options['yandex'])
	{
		if ($options['data-counter']) $data_counter = ' data-counter="'; else $data_counter = '';
		echo '<div class="ya-share2" data-services="'  . $options['data-services'] . '"'. $data_counter . $img . '></div>';
	}	
	
	echo $options['text-posle'];

	return $args;
}

# end of file
